> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offer details

> Retrieve detailed information about a specific offer by its ID.
    
    Returns the full offer object including product reference, variant details, 
    pricing, subscription settings, and inventory status for key-based products.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/offers/{offerId}
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/offers/{offerId}:
    get:
      tags:
        - offers
      summary: Get offer details
      description: |-
        Retrieve detailed information about a specific offer by its ID.
            
            Returns the full offer object including product reference, variant details, 
            pricing, subscription settings, and inventory status for key-based products.
      operationId: GetV0OffersOfferId
      parameters:
        - name: offerId
          in: path
          required: true
          description: GET /v0/offers/:offerId Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersOfferIdParameterOfferId'
      responses:
        '200':
          description: GET /v0/offers/:offerId Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OffersOfferIdPositiveResponse'
        '400':
          description: GET /v0/offers/:offerId Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OffersOfferIdNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0OffersOfferIdParameterOfferId:
      type: string
      format: uuid
    GetV0OffersOfferIdPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            offer:
              type: object
              properties:
                object:
                  type: string
                  enum:
                    - offer
                  default: offer
                id:
                  type: string
                  format: uuid
                internalId:
                  type:
                    - string
                    - 'null'
                  default: null
                price:
                  type: number
                  format: double
                  minimum: -1.7976931348623157e+308
                  maximum: 1.7976931348623157e+308
                originalPrice:
                  type:
                    - number
                    - 'null'
                  format: double
                  minimum: -1.7976931348623157e+308
                  maximum: 1.7976931348623157e+308
                  default: null
                recurringInterval:
                  type:
                    - string
                    - 'null'
                  enum:
                    - day
                    - month
                    - week
                    - year
                  default: null
                recurringIntervalCount:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                trialInterval:
                  type:
                    - string
                    - 'null'
                  enum:
                    - day
                    - month
                    - week
                    - year
                  default: null
                trialIntervalCount:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                currency:
                  type: string
                  enum:
                    - AFN
                    - ALL
                    - DZD
                    - AOA
                    - ARS
                    - AMD
                    - AWG
                    - AUD
                    - AZN
                    - BSD
                    - BDT
                    - BBD
                    - BZD
                    - BMD
                    - BOB
                    - BAM
                    - BWP
                    - BRL
                    - BHD
                    - GBP
                    - BND
                    - BGN
                    - BIF
                    - BYN
                    - KHR
                    - CAD
                    - CVE
                    - KYD
                    - KWD
                    - XAF
                    - XPF
                    - CLP
                    - CNY
                    - COP
                    - KMF
                    - CDF
                    - CRC
                    - HRK
                    - CZK
                    - DKK
                    - DJF
                    - DOP
                    - XCD
                    - EGP
                    - ETB
                    - EUR
                    - FKP
                    - FJD
                    - GMD
                    - GEL
                    - GIP
                    - GTQ
                    - GNF
                    - GYD
                    - HTG
                    - HNL
                    - HKD
                    - HUF
                    - ISK
                    - INR
                    - IDR
                    - ILS
                    - JMD
                    - JPY
                    - JOD
                    - KZT
                    - KES
                    - KGS
                    - LAK
                    - LBP
                    - LSL
                    - LRD
                    - MOP
                    - MKD
                    - MGA
                    - MWK
                    - MYR
                    - MVR
                    - MRO
                    - MUR
                    - MXN
                    - MDL
                    - MNT
                    - MAD
                    - MZN
                    - MMK
                    - NAD
                    - NPR
                    - ANG
                    - TWD
                    - NZD
                    - NIO
                    - NGN
                    - NOK
                    - OMR
                    - PKR
                    - PAB
                    - PGK
                    - PYG
                    - PEN
                    - PHP
                    - PLN
                    - QAR
                    - RON
                    - RUB
                    - RWF
                    - SHP
                    - SVC
                    - WST
                    - STD
                    - SAR
                    - RSD
                    - SCR
                    - SLL
                    - SGD
                    - SBD
                    - SOS
                    - ZAR
                    - KRW
                    - LKR
                    - SRD
                    - SZL
                    - SEK
                    - CHF
                    - TJS
                    - TZS
                    - THB
                    - TND
                    - TOP
                    - TTD
                    - TRY
                    - UGX
                    - UAH
                    - AED
                    - UYU
                    - USD
                    - UZS
                    - VUV
                    - VEF
                    - VND
                    - XOF
                    - YER
                    - ZMW
                    - SLE
                    - XCG
                    - SSP
                    - VES
                    - MRU
                    - STN
                    - VED
                limit:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                soldItems:
                  type: integer
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: 0
                status:
                  type: string
                  enum:
                    - DRAFT
                    - OPEN
                    - CLOSED
                    - SOLD
                  default: DRAFT
                name:
                  type:
                    - string
                    - 'null'
                  default: null
                description:
                  type:
                    - string
                    - 'null'
                  default: null
                region:
                  type:
                    - string
                    - 'null'
                  enum:
                    - Global
                    - Europe
                    - Argentina
                    - United States
                    - Turkey
                    - United Kingdom
                    - Latin America
                    - Brazil
                    - Canada
                    - Mexico
                    - Germany
                    - Colombia
                    - France
                    - Saudi Arabia
                    - Australia
                    - Spain
                    - India
                    - Italy
                    - Netherlands
                    - United Arab Emirates
                    - North America
                    - Poland
                    - Belgium
                    - Asia
                    - Egypt
                    - Austria
                    - Singapore
                    - EMEA
                    - Ireland
                    - RU/CIS
                    - Sweden
                    - Portugal
                    - Switzerland
                    - New Zealand
                    - Malaysia
                    - Finland
                    - Greece
                    - Norway
                    - Denmark
                    - Japan
                    - Hong Kong
                    - Philippines
                    - Middle East
                    - Indonesia
                    - Czech Republic
                    - South Africa
                    - South Korea
                    - Luxembourg
                    - Slovakia
                    - Romania
                    - Slovenia
                    - Hungary
                    - Chile
                    - Nigeria
                    - Thailand
                    - Kuwait
                    - Vietnam
                    - Rest of the World
                    - Bahrain
                    - Qatar
                  default: null
                platform:
                  type:
                    - string
                    - 'null'
                  enum:
                    - Meta Quest
                    - TV
                    - Music
                    - Tidal
                    - Tinder
                    - Zalando
                    - Razer
                    - Netflix
                    - Spotify
                    - Walmart
                    - Amazon
                    - Food
                    - Prepaid
                    - Steam
                    - Xbox Live
                    - Origin
                    - PSN
                    - Ubisoft Connect
                    - Nintendo
                    - Official Website
                    - GOG.com
                    - Epic Games
                    - Windows Store
                    - Battle.net
                    - Riot Games
                    - Steam Gift Card
                    - Roblox
                    - Green gift
                    - EA App
                    - Rockstar Games Launcher
                    - ArenaNet
                    - PUBG
                    - App Store
                    - Google Play
                    - Mobile
                    - Other
                    - Rockstar
                  default: null
                gtin:
                  type:
                    - string
                    - 'null'
                  default: null
                warningMessage:
                  type:
                    - string
                    - 'null'
                  default: null
              required:
                - id
                - price
                - currency
          required:
            - offer
      required:
        - status
        - data
    GetV0OffersOfferIdNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````